/**
 * MySDL - A multimedia framework based on SDL and OpenGL
 * Copyright (C) 2006 Marian Schedenig (marian@musgit.com)
 * http://www.musgit.com/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#ifndef MYSDL_BUILDINFO_H
#define MYSDL_BUILDINFO_H

#include <string>

namespace mysdl
{
	/**
	 * Returns a string containing the date at which MySDL was built.
	 *
	 * @return Build date as a string.
	 */
	std::string getBuildDate();

	/**
	 * Returns a string containing the time at which MySDL was built.
	 *
	 * @return Build time as a string.
	 */
	std::string getBuildTime();

	/**
	 * Returns a string containing the version of MySDL.
	 *
	 * @return Version as a string.
	 */
	std::string getVersion();

	/**
	 * Returns a string containing the version and build date and time
	 * of MySDL.
	 *
	 * @return Detailed version string.
	 */
	std::string getFullVersion();
};

#endif
